Subject: RE: bug#14250: 23.1; Files locked by myself

From: "Elrod, David" <[email-masked]>
Date: Thu, 20 Jun 2013 00:40:00 +0000

Sigh...

$ yum-builddep emacs
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * base: mirrors.syringanetworks.net
 * centosplus: mirrors.easynews.com
 * contrib: mirror.spro.net
 * epel: ftp.osuosl.org
 * epel-source: ftp.osuosl.org
 * epel-testing-source: ftp.osuosl.org
 * extras: centos.tcpdiag.net
 * kde: apt.kde-redhat.org
 * updates: mirror.web-ster.com
Checking for new repos for mirrors
Enabling epel-source repository
Enabling epel-testing-source repository
No source RPM found for 1:emacs-23.1-21.el6_2.3.x86_64
No uninstalled build requires
$

Doing:
  $ yum-builddep --nogpgcheck emacs-24.3-1.fu2013.src.rpm 
I learned that there is no python3-devel package for Centos (yet).

The snowball is getting bigger... :)

I ran "./configure --without-x", however the build ran into problems,
so I removed the whole build tree.  Un-tarred the source file:
  emacs-24.3.tar.gz
and then did the configure and build with script turned on, which
is attached.

Search for "Saving file /home/elrodd/src/Emacs/emacs-24.3/lisp/loaddefs.el..."
for where the build had the lock problem that started all of this.  Maybe this is
normal for the build???

At the end of the 'make' the build dies because ".../.#ZIRANMA.el"
is a symlink to a very suspicious looking file.  See the end of the
script.

Thank you so much for your help!
David

________________________________________
From: Glenn Morris [[email-masked]]
Sent: Wednesday, June 19, 2013 15:55
To: Elrod, David
Cc: [email-masked]
Subject: Re: bug#14250: 23.1; Files locked by myself

"Elrod, David" wrote:

> Building emacs is non-trivial - I'm missing all kinds of libraries...

  yum-builddep emacs

will take care of (most of) that.